RaspiBlitz: Problem mit der Installation von electrs

Hi,
bei RaspiBlitz auf dem Pi4 habe ich in Services versucht electrs zu installieren.

Ich bekam die Info (blaues Fenster vom Raspi):
FAIL

FAIL on ElectRS install

Try manual install on terminal after reboot with:
/home/admin/config.scripts/bonus.electrs.sh on

Also habe ich das gemacht, und jetzt sieht das so aus (lila Fenster Terminal Ubuntu):

admin@192.168.178.20:~ ₿ /home/admin/config.scripts/bonus.electrs.sh on
# Making sure services are not running
# INSTALL ELECTRS

# Creating the electrs user

adduser: The user `electrs' already exists.

# Installing Rust for the electrs user

info: downloading installer
info: profile set to 'default'
info: default host triple is aarch64-unknown-linux-gnu
info: skipping toolchain installation


Rust is installed now. Great!

To get started you may need to restart your current shell.
This would reload your PATH environment variable to include
Cargo's bin directory ($HOME/.cargo/bin).

To configure your current shell, run:
source "$HOME/.cargo/env"
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
build-essential is already the newest version (12.9).
The following additional packages will be installed:
  binfmt-support clang-11 cmake-data libclang-common-11-dev libclang-cpp11
  libclang1-11 libgc1 libjsoncpp24 libncurses-dev libobjc-10-dev libobjc4
  libomp-11-dev libomp5-11 libpfm4 librhash0 libtinfo-dev libz3-dev llvm-11
  llvm-11-dev llvm-11-runtime llvm-11-tools python3-yaml
Suggested packages:
  clang-11-doc cmake-doc ninja-build ncurses-doc libomp-11-doc llvm-11-doc
The following NEW packages will be installed:
  binfmt-support clang clang-11 cmake cmake-data libclang-common-11-dev
  libclang-cpp11 libclang1-11 libgc1 libjsoncpp24 libncurses-dev
  libobjc-10-dev libobjc4 libomp-11-dev libomp5-11 libpfm4 librhash0
  libtinfo-dev libz3-dev llvm-11 llvm-11-dev llvm-11-runtime llvm-11-tools
  python3-yaml
0 upgraded, 24 newly installed, 0 to remove and 71 not upgraded.
Need to get 337 kB/54.9 MB of archives.
After this operation, 379 MB of additional disk space will be used.
Err:1 http://deb.debian.org/debian bullseye/main arm64 libncurses-dev arm64 6.2+20201114-2+deb11u1
  404  Not Found [IP: 2a04:4e42:8e::644 80]
Err:2 http://deb.debian.org/debian bullseye/main arm64 libtinfo-dev arm64 6.2+20201114-2+deb11u1
  404  Not Found [IP: 2a04:4e42:8e::644 80]
E: Failed to fetch http://deb.debian.org/debian/pool/main/n/ncurses/libncurses-dev_6.2%2b20201114-2%2bdeb11u1_arm64.deb  404  Not Found [IP: 2a04:4e42:8e::644 80]
E: Failed to fetch http://deb.debian.org/debian/pool/main/n/ncurses/libtinfo-dev_6.2%2b20201114-2%2bdeb11u1_arm64.deb  404  Not Found [IP: 2a04:4e42:8e::644 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

# Downloading and building electrs v0.9.11. This will take ~40 minutes

fatal: destination path 'electrs' already exists and is not an empty directory.
HEAD is now at 000fc0d Bump version
--2024-01-15 09:17:34--  https://github.com/romanz.gpg
Resolving github.com (github.com)... 140.82.121.4
Connecting to github.com (github.com)|140.82.121.4|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1236 (1.2K) [text/plain]
Saving to: ‘/var/cache/raspiblitz/pgp_keys_romanz.asc’

/var/cache/raspibli 100%[===================>]   1.21K  --.-KB/s    in 0s      

2024-01-15 09:17:34 (3.64 MB/s) - ‘/var/cache/raspiblitz/pgp_keys_romanz.asc’ saved [1236/1236]

# importing key of romanz
pub   nistp256 2016-10-29 [SC]
      15C8C3574AE4F1E25F3F35C587CAE5FA46917CBB
uid                      Roman Zeyde <me@romanzey.de>
uid                      Roman Zeyde <roman.zeyde@gmail.com>
sub   nistp256 2016-10-29 [E]

gpg: key 87CAE5FA46917CBB: "Roman Zeyde <me@romanzey.de>" not changed
gpg: Total number processed: 1
gpg:              unchanged: 1
# running: git verify-commit 000fc0d

gpg: Signature made Thu 05 Jan 2023 20:25:10 CET
gpg:                using ECDSA key 15C8C3574AE4F1E25F3F35C587CAE5FA46917CBB
gpg:                issuer "me@romanzey.de"
gpg: Good signature from "Roman Zeyde <me@romanzey.de>" [unknown]
gpg:                 aka "Roman Zeyde <roman.zeyde@gmail.com>" [unknown]
gpg: WARNING: This key is not certified with a trusted signature!
gpg:          There is no indication that the signature belongs to the owner.
Primary key fingerprint: 15C8 C357 4AE4 F1E2 5F3F  35C5 87CA E5FA 4691 7CBB
# goodSignature(1)
# correctKey(1)

##########################################################################
# OK --> the PGP signature of the checked out 000fc0d commit is correct
##########################################################################

   Compiling electrs-librocksdb-sys v6.11.4-e3
   Compiling secp256k1 v0.24.2
   Compiling configure_me_codegen v0.4.3
error: failed to run custom build command for `electrs-librocksdb-sys v6.11.4-e3`

Caused by:
  process didn't exit successfully: `/home/electrs/electrs/target/release/build/electrs-librocksdb-sys-62234b4633c0af8b/build-script-build` (exit code: 101)
  --- stderr
  thread 'main' panicked at 'Unable to find libclang: "couldn\'t find any valid shared libraries matching: [\'libclang.so\', \'libclang-*.so\', \'libclang.so.*\', \'libclang-*.so.*\'], set the `LIBCLANG_PATH` environment variable to a path where one of these files can be found (invalid: [])"', /home/electrs/.cargo/registry/src/github.com-1ecc6299db9ec823/bindgen-0.55.1/src/lib.rs:1896:31
  note: run with `RUST_BACKTRACE=1` environment variable to display a backtrace
warning: build failed, waiting for other jobs to finish...
error: build failed
admin@192.168.178.20:~ ₿

Und jetzt? Was ich bisher gefunden habe hilft mir nicht weiter.

2 „Gefällt mir“

wenn ich im Menu „info“ wähle habe ich:
HDDuse 632G (71%)
obwohl eine SSD verbaut ist… daran wird es wohl kaum liegen…

ich habe mir die Zeilen nochmal angesehen:

After this operation, 379 MB of additional disk space will be used.
Err:1 http://deb.debian.org/debian bullseye/main arm64 libncurses-dev arm64 6.2+20201114-2+deb11u1
  404  Not Found [IP: 2a04:4e42:8e::644 80]
Err:2 http://deb.debian.org/debian bullseye/main arm64 libtinfo-dev arm64 6.2+20201114-2+deb11u1
  404  Not Found [IP: 2a04:4e42:8e::644 80]
E: Failed to fetch http://deb.debian.org/debian/pool/main/n/ncurses/libncurses-dev_6.2%2b20201114-2%2bdeb11u1_arm64.deb  404  Not Found [IP: 2a04:4e42:8e::644 80]
E: Failed to fetch http://deb.debian.org/debian/pool/main/n/ncurses/libtinfo-dev_6.2%2b20201114-2%2bdeb11u1_arm64.deb  404  Not Found [IP: 2a04:4e42:8e::644 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

liegt es vielleicht an der Zeile:
404 Not Found [IP: 2a04:4e42:8e::644 80]

Dabei handelt es sich um RaspiBlitz V1.9.0
Könnte eine andere Version helfen? Welche wäre das?

Da ich bisher noch nicht wirklich was mit der Node gemacht habe, überlege ich schon auf Umbrel zu wechseln. Was haltet ihr davon?

1 „Gefällt mir“